Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.json4j
Class AbstractOslcRdfJsonProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider

Direct Known Subclasses:
  OslcCompactJsonProvider, OslcRdfJsonArrayProvider, OslcRdfJsonCollectionProvider, OslcRdfJsonProvider

    public abstract class AbstractOslcRdfJsonProvider

extends Object

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `httpServletRequest`

Constructor Summary
`protected` | `AbstractOslcRdfJsonProvider()`

Method Summary
`protected javax.ws.rs.core.Response` | `buildBadRequestResponse(Exception exception, javax.ws.rs.core.MediaType errorMediaType, javax.ws.rs.core.MultivaluedMap<String,?> map)`
`protected static boolean` | `isOslcQuery(String parmString)`
`protected static boolean` | `isReadable(Class<?> type, javax.ws.rs.core.MediaType requiredMediaType, javax.ws.rs.core.MediaType actualMediaType)`
`protected static boolean` | `isWriteable(Class<?> type, Annotation[] annotations, javax.ws.rs.core.MediaType requiredMediaType, javax.ws.rs.core.MediaType actualMediaType)`
`protected Object[]` | `readFrom(Class<?> type, javax.ws.rs.core.MediaType errorMediaType, javax.ws.rs.core.MultivaluedMap<String,String> map, InputStream inputStream)`
`protected void` | `writeTo(boolean queryResult, Object[] objects, javax.ws.rs.core.MediaType errorMediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`
`protected void` | `writeTo(Object[] objects, javax.ws.rs.core.MediaType errorMediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream, Map<String,Object> properties, String descriptionURI, String responseInfoURI, String nextPageURI, Integer totalCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### httpServletRequest

    @Context
    protected javax.servlet.http.HttpServletRequest httpServletRequest

Constructor Detail

### AbstractOslcRdfJsonProvider

    protected AbstractOslcRdfJsonProvider()

Method Detail

### isWriteable

    protected static boolean isWriteable(Class<?> type,
                                         Annotation[] annotations,
                                         javax.ws.rs.core.MediaType requiredMediaType,
                                         javax.ws.rs.core.MediaType actualMediaType)

### writeTo

    protected void writeTo(boolean queryResult,
                           Object[] objects,
                           javax.ws.rs.core.MediaType errorMediaType,
                           javax.ws.rs.core.MultivaluedMap<String,Object> map,
                           OutputStream outputStream)
                    throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### writeTo

    protected void writeTo(Object[] objects,
                           javax.ws.rs.core.MediaType errorMediaType,
                           javax.ws.rs.core.MultivaluedMap<String,Object> map,
                           OutputStream outputStream,
                           Map<String,Object> properties,
                           String descriptionURI,
                           String responseInfoURI,
                           String nextPageURI,
                           Integer totalCount)
                    throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### isReadable

    protected static boolean isReadable(Class<?> type,
                                        javax.ws.rs.core.MediaType requiredMediaType,
                                        javax.ws.rs.core.MediaType actualMediaType)

### readFrom

    protected Object[] readFrom(Class<?> type,
                                javax.ws.rs.core.MediaType errorMediaType,
                                javax.ws.rs.core.MultivaluedMap<String,String> map,
                                InputStream inputStream)
                         throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### buildBadRequestResponse

    protected javax.ws.rs.core.Response buildBadRequestResponse(Exception exception,
                                                                javax.ws.rs.core.MediaType errorMediaType,
                                                                javax.ws.rs.core.MultivaluedMap<String,?> map)

### isOslcQuery

    protected static boolean isOslcQuery(String parmString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.